Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 20035 - New USE option to patch upnp for MS Netmeeting to work with IDG
Summary: New USE option to patch upnp for MS Netmeeting to work with IDG
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Nick Hadaway
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-04-27 05:43 UTC by Alexander Wigen
Modified: 2003-07-15 01:01 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
The patch (upnp-1.0.4.patch,1.34 KB, patch)
2003-04-27 05:47 UTC, Alexander Wigen
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Wigen 2003-04-27 05:43:30 UTC
This patch adds a USE option to the ebuild for upnp to allow MS Netmeeting to
work with "Linux UPnP Internet Gateway Device" found at
http://sourceforge.net/projects/linux-igd/

This is from the INSTALL file:
------------------------------
Before you compile and install this SDK from Intel, you will need
to make one change for Windows Messenger to work properly.  Under
the upnpsdk tree, the file src/ssdp/ssdplib.c, on line 406, the following
line needs to be changed from:

   SelfAddr.sin_addr.s_addr = inet_addr(SSDP_IP);

   to:

   SelfAddr.sin_addr.s_addr = htonl(INADDR_ANY);
------------------------------

This included patch will add a USE option 'msnetmeeting' that patches ssdplib.c
in this manner.

diff -ruN old/upnp/files/upnp-1.0.4.msmessenger.patch
new/upnp/files/upnp-1.0.4.msmessenger.patch
--- old/upnp/files/upnp-1.0.4.msmessenger.patch 1970-01-01 10:00:00.000000000 +1000
+++ new/upnp/files/upnp-1.0.4.msmessenger.patch 2003-04-27 19:18:35.000000000 +1000
@@ -0,0 +1,12 @@
+diff -ruN upnpsdk-1.0.4/src/ssdp/ssdplib.c upnpsdk-1.0.4-patched/src/ssdp/ssdplib.c
+--- upnpsdk-1.0.4/src/ssdp/ssdplib.c   2001-08-16 04:17:31.000000000 +1000
++++ upnpsdk-1.0.4-patched/src/ssdp/ssdplib.c   2003-04-27 16:34:47.000000000 +1000
+@@ -403,7 +403,7 @@
+     bzero((char *)&SelfAddr, sizeof(struct sockaddr_in));
+
+     SelfAddr.sin_family = AF_INET;
+-    SelfAddr.sin_addr.s_addr = inet_addr(SSDP_IP);
++    SelfAddr.sin_addr.s_addr = htonl(INADDR_ANY);
+     SelfAddr.sin_port = htons(SSDP_PORT);
+     if (bind( SsdpSock, (struct sockaddr *) &SelfAddr, sizeof(SelfAddr)) != 0)
+     {
diff -ruN old/upnp/upnp-1.0.4.ebuild new/upnp/upnp-1.0.4.ebuild
--- old/upnp/upnp-1.0.4.ebuild  2003-02-14 01:22:08.000000000 +1000
+++ new/upnp/upnp-1.0.4.ebuild  2003-04-27 18:42:20.000000000 +1000
@@ -15,6 +15,10 @@
 DEPEND="${RDEPEND}"

 src_compile() {
+       if [ "`use msmessenger`" ]; then
+           echo "*** Applying patch to make MS Messenger work ***";
+           patch -d ${WORKDIR} -p0 < ${FILESDIR}/${P}.msmessenger.patch || die
"Patch failed"
+       fi
        emake || die "compile problem"
 }
Comment 1 Alexander Wigen 2003-04-27 05:47:34 UTC
Created attachment 11216 [details, diff]
The patch
Comment 2 Nick Hadaway 2003-06-29 15:13:45 UTC
is there a specific reason for doing behind a use variable?
Will this harm things if it is applied by default?

Based on the simplicity of what it is doing, i don't think it will... can you verify?
Comment 3 Alexander Wigen 2003-07-15 00:15:21 UTC
I'm sorry, I have no idea :( 
Comment 4 Nick Hadaway 2003-07-15 01:01:25 UTC
I have added the patch to the ebuild and bumped the revision to -r1